/// <reference types="react" />
import { View as RNView, ActivityIndicator, Button, // Buttons don't use the style prop
Image, RefreshControl, DrawerLayoutAndroid, TouchableNativeFeedback, InputAccessoryView } from 'react-native';
export { Button, ActivityIndicator, Image, RefreshControl, DrawerLayoutAndroid, TouchableNativeFeedback, InputAccessoryView };
/**
 * These are asserted as not `undefined` for testing,
 * but they may be undefined at runtime if the underlying
 * React Native component is undefined at export time.
 */
export declare const FlatList: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").FlatListProps<unknown>>) => JSX.Element;
export declare const ImageBackground: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").ImageBackgroundProps>) => JSX.Element;
export declare const KeyboardAvoidingView: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").KeyboardAvoidingViewProps>) => JSX.Element;
export declare const Modal: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").ModalProps>) => JSX.Element;
export declare const Pressable: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").PressableProps & import("react").RefAttributes<RNView>>) => JSX.Element;
export declare const ScrollView: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").ScrollViewProps>) => JSX.Element;
export declare const SectionList: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").SectionListProps<unknown, unknown>>) => JSX.Element;
export declare const Text: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").TextProps>) => JSX.Element;
export declare const TouchableHighlight: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").TouchableHighlightProps>) => JSX.Element;
export declare const TouchableOpacity: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").TouchableOpacityProps>) => JSX.Element;
export declare const TouchableWithoutFeedback: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").TouchableWithoutFeedbackProps>) => JSX.Element;
export declare const SafeAreaView: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").ViewProps>) => JSX.Element;
export declare const View: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").ViewProps>) => JSX.Element;
export declare const VirtualizedList: ({ style, ...props }: import("./wrapContext").ExpandStyle<import("react-native").VirtualizedListProps<unknown>>) => JSX.Element;
